Bug 505315 - Provisioning, kickstart fails to pick up ks.cfg if kickstarted via a rhn proxy
Provisioning, kickstart fails to pick up ks.cfg if kickstarted via a rhn proxy
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Miroslav Suchý
https://grandprix.rhndev.redhat.com/r...
:
Depends On:
Blocks: 457075 486216
  Show dependency treegraph
 
Reported: 2009-06-11 09:32 EDT by wes hayutin
Modified: 2009-09-10 14:16 EDT (History)
4 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:16:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2009-06-11 09:32:50 EDT
Description of problem:

sat530 6/5.1 rhel 5, rhn proxy 530 (installed via webui)

1. install satellite rhn proxy 530
2. register a rhel 5 client via proxy
3. install a test package via proxy, verify it work via proxy access log
4. create a basic rhel5 kickstart profile
5. kickstart the client


client fails to pick up the kickstart parameters

kickstart halts @
+---------+ Choose a Language +---------+                    
                   |                                       |                    
                   | What language would you like to use   |                    
                   | during the installation process?      |                    
                   |                                       |                    
                   |       Catalan                ^        |                    
                   |       Chinese(Simplified)    :        |                    
                   |       Chinese(Traditional)   #        |                    
                   |       Croatian               :        |                    
                   |       Czech                  :        |                    
                   |       Danish                 :        |                    
                   |       Dutch                  :        |                    
                   |       English                v        |                    
                   |                                       |                    
                   |                +----+                 |                    
                   |                | OK |                 |                    
                   |                +----+                 |                    
                   |                                       |                    
                   |                                       |                    
                   +---------------------------------------+
Comment 1 wes hayutin 2009-06-11 09:36:23 EDT
recreated on another system... definitely a problem
Comment 2 Justin Sherrill 2009-06-11 18:15:25 EDT
Problem was related with the fact WebUI installer had not been updated with new configs for cobbler.

632c728
Comment 3 Justin Sherrill 2009-06-11 18:26:26 EDT
forgot a file to add to the commit:

6924970
Comment 4 Miroslav Suchý 2009-07-15 12:17:50 EDT
been able to KS through proxy without answering questions, which has been set in ks profile
VERIFIED
Comment 5 John Matthews 2009-08-20 16:23:56 EDT
Not able to fully verify for RELEASE_PENDING, I'm hitting: bug 514305


From tomcat logs

2009-08-20 16:16:53,258 [TP-Processor2] ERROR com.redhat.rhn.frontend.action.common.DownloadFile - /var/satellite/rhn/kickstart/ks-rhel-i386-server-5-u3/images/updates.img Not Found ..
 404!
2009-08-20 16:16:53,940 [TP-Processor2] ERROR com.redhat.rhn.frontend.action.common.DownloadFile - /var/satellite/rhn/kickstart/ks-rhel-i386-server-5-u3/disc1/images/updates.img Not Fo
und .. 404!
2009-08-20 16:16:54,552 [TP-Processor2] ERROR com.redhat.rhn.frontend.action.common.DownloadFile - /var/satellite/rhn/kickstart/ks-rhel-i386-server-5-u3/images/product.img Not Found ..
 404!
2009-08-20 16:16:55,926 [TP-Processor2] ERROR com.redhat.rhn.frontend.action.common.DownloadFile - /var/satellite/rhn/kickstart/ks-rhel-i386-server-5-u3/disc1/images/product.img Not Fo
und .. 404!
JVMDUMP006I Processing dump event "systhrow", detail "java/lang/OutOfMemoryError" - please wait.
JVMDUMP007I JVM Requesting Snap dump using '/usr/share/tomcat5/Snap.20090820.161659.6296.0001.trc'
JVMDUMP030W Cannot write dump to file /usr/share/tomcat5/Snap.20090820.161659.6296.0001.trc: Permission denied
JVMDUMP010I Snap dump written to /tmp/Snap.20090820.161659.6296.0001.trc
JVMDUMP030W Cannot write dump to file /usr/share/tomcat5/heapdump.20090820.161659.6296.0002.phd: Permission denied
JVMDUMP007I JVM Requesting Heap dump using '/tmp/heapdump.20090820.161659.6296.0002.phd'
JVMDUMP010I Heap dump written to /tmp/heapdump.20090820.161659.6296.0002.phd
JVMDUMP030W Cannot write dump to file /usr/share/tomcat5/javacore.20090820.161659.6296.0003.txt: Permission denied
JVMDUMP007I JVM Requesting Java dump using '/tmp/javacore.20090820.161659.6296.0003.txt'
JVMDUMP010I Java dump written to /tmp/javacore.20090820.161659.6296.0003.txt
JVMDUMP013I Processed dump event "systhrow", detail "java/lang/OutOfMemoryError".
2009-08-20 16:17:02,419 [TP-Processor2] ERROR com.redhat.rhn.frontend.servlets.SessionFilter - Error during transaction. Rolling back



From console output of rlx-3-22

Welcome to Red Hat Enterprise Linux Server                                      
                                                                                
                                                                                
                                                                                
                                                                                
                                                                                
                     +-------------+ Error +--------------+                     
                     |                                    |                     
                     | Unable to retrieve                 |                     
                     | http://rlx-0-24.rhndev.redhat.com  |                     
                     | //ty/UPDDHeWM/images/stage2.img.   |                     
                     |                                    |                     
                     |              +----+                |                     
                     |              | OK |                |                     
                     |              +----+                |                     
                     |                                    |                     
                     |                                    |                     
                     +------------------------------------+                     
                                                                                
                                                                                
                                                                                
                                                                                
                                                                                
  <Tab>/<Alt-Tab> between elements  | <Space> selects | <F12> next screen
Comment 6 John Matthews 2009-08-24 12:02:39 EDT
Move to RELEASE_PENDING
stage content as of today, 8/24 allowed this bug to be verified.

Tested by creating a proxy reg to stage sat.
client (rlx box) reg'd to proxy
ks through proxy the rlx box


ks was successful
Comment 7 Brandon Perkins 2009-09-10 14:16:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.